# Update a mailing list

Update mailing list properties, such as address, description or name

Endpoint: PUT /v3/lists/{list_address}
Version: 3.0.0
Security: basicAuth

## Path parameters:

  - `list_address` (string, required)
    The mailing list's address

## Request fields (multipart/form-data):

  - `address` (string)
    The new mailing list address.

  - `description` (string)

  - `name` (string)

  - `access_level` (string)
    One of: readonly, members, everyone. Defaults to readonly.

  - `reply_reference` (string)
    Set where replies should go. Can be list or sender. Defaults to list.

  - `list-id` (string)

## Response 200 fields (application/json):

  - `message` (string)
    Success message

  - `list` (object)

  - `list.address` (string)
    The email address of the mailing list

  - `list.name` (string)
    The name of the mailing list

  - `list.description` (string)
    A description of the mailing list

  - `list.access_level` (string)
    List access level, one of: readonly, members, everyone

  - `list.reply_preference` (string)
    Set where replies should go: list or sender

  - `list.created_at` (string)
    Timestamp indicating the mailing list creation time in RFC 5322 format

  - `list.members_count` (integer)
    The number of members on the mailing list

## Response 404 fields (application/json):

  - `message` (string)
    Error message

## Response 429 fields (application/json):

  - `message` (string)
    Error message


